# pandas.Series.consolidate

`Series.``consolidate`(inplace=False)

  Compute NDFrame with “consolidated” internals (data of each dtype grouped together in a single ndarray). Mainly an internal API function, but available here to the savvy user

  Parameters:

  inplace : boolean, default False

  > If False return new object, otherwise modify existing object

  Returns: | consolidated : type of caller